VERSION 4.00
Begin VB.Form fGamble 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Gulf Gamble"
   ClientHeight    =   1935
   ClientLeft      =   900
   ClientTop       =   1395
   ClientWidth     =   2355
   ControlBox      =   0   'False
   Height          =   2340
   Icon            =   "FGAMBLE.frx":0000
   Left            =   840
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   129
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   157
   ShowInTaskbar   =   0   'False
   Top             =   1050
   Width           =   2475
   Begin VB.CommandButton cmdCollect 
      Caption         =   "&Collect"
      Height          =   375
      Left            =   1260
      TabIndex        =   3
      Top             =   1500
      Width           =   1035
   End
   Begin VB.CommandButton cmdLow 
      Caption         =   "&Low"
      Height          =   375
      Left            =   1260
      TabIndex        =   2
      Top             =   780
      Width           =   1035
   End
   Begin VB.CommandButton cmdHigh 
      Caption         =   "&High"
      Height          =   375
      Left            =   1260
      TabIndex        =   1
      Top             =   360
      Width           =   1035
   End
   Begin VB.PictureBox picGCard 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00008000&
      Height          =   1515
      Left            =   60
      ScaleHeight     =   99
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   75
      TabIndex        =   0
      Top             =   360
      Width           =   1155
   End
   Begin VB.Label labGamble 
      Alignment       =   2  'Center
      Height          =   195
      Left            =   60
      TabIndex        =   4
      Top             =   60
      Width           =   2235
   End
End
Attribute VB_Name = "fGamble"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

Private Sub cmdCollect_Click()
  fGamble.Tag = "C"
  fGamble.Hide
End Sub


Private Sub cmdHigh_Click()
  nc% = Int(Rnd * 52) + 1
  Do While nc% = nGCard
    nc% = Int(Rnd * 52) + 1
  Loop
  
  Call TransparentBlt(nc%, fGamble.picGCard.hDC, 0, 0)
  picGCard.Refresh
  gc% = nGCard Mod 13
  ncv% = nc% Mod 13
  If gc% = 0 Then gc% = 13
  If ncv% = 0 Then ncv% = 13
  nGCard = nc%
  If ncv% > gc% Then
    iGStake = iGStake * 2
    ' Would next gamble be too much?
    If (iGStake) > lScore Then
      labGamble.Caption = "Can't bet " + Str$(iGStake) + ". Take win."
      cmdHigh.Enabled = False
      cmdLow.Enabled = False
      cmdCollect.Caption = "&Take" + Str$(iGStake)
      Exit Sub
    End If
    fGamble.Tag = "W"
    cmdCollect.Caption = "&Take" + Str$(iGStake)
    fGamble.labGamble.Caption = "Bet" + Str$(iGStake) + " to get" + Str$(iGStake * 2) + " points."
    Exit Sub
  End If
  If ncv% = gc% Then
    labGamble.Caption = "Evens - collect" + Str$(iGStake) + " now"
    cmdHigh.Enabled = False
    cmdLow.Enabled = False
    cmdCollect.Caption = "&Take" + Str$(iGStake)
    Exit Sub
  End If
  cmdCollect.Caption = "&Lose" + Str$(iGStake)
  iGStake = -1 * iGStake
  labGamble.Caption = "Lost. Press Close to exit."
  cmdHigh.Enabled = False
  cmdLow.Enabled = False
End Sub


Private Sub cmdLow_Click()
  nc% = Int(Rnd * 52) + 1
  Do While nc% = nGCard
    nc% = Int(Rnd * 52) + 1
  Loop
  
  Call TransparentBlt(nc%, fGamble.picGCard.hDC, 0, 0)
  picGCard.Refresh
  gc% = nGCard Mod 13
  ncv% = nc% Mod 13
  If gc% = 0 Then gc% = 13
  If ncv% = 0 Then ncv% = 13
  nGCard = nc%
  If ncv% < gc% Then
    ' Would next gamble be too much?
    iGStake = iGStake * 2
    If (iGStake) > lScore Then
      labGamble.Caption = "Can't bet " + Str$(iGStake) + ". Take win."
      cmdHigh.Enabled = False
      cmdLow.Enabled = False
      cmdCollect.Caption = "&Take" + Str$(iGStake)
      Exit Sub
    End If
    fGamble.Tag = "W"
    cmdCollect.Caption = "&Take" + Str$(iGStake)
    fGamble.labGamble.Caption = "Bet" + Str$(iGStake) + " to get" + Str$(iGStake * 2) + " points."
    Exit Sub
  End If
  If ncv% = gc% Then
    labGamble.Caption = "Evens - collect" + Str$(iGStake) + " now"
    cmdHigh.Enabled = False
    cmdLow.Enabled = False
    cmdCollect.Caption = "&Take" + Str$(iGStake)
    Exit Sub
  End If
  cmdCollect.Caption = "&Lose" + Str$(iGStake)
  iGStake = -1 * iGStake
  labGamble.Caption = "Lost. Press Lose to exit."
  cmdHigh.Enabled = False
  cmdLow.Enabled = False
End Sub


Private Sub Form_Load()
  Dim iNcHeight As Integer, iNcWidth As Integer
  Dim iNcBord As Integer
  
  fGamble.ScaleMode = 1
  iNcHeight = fGamble.Height - fGamble.ScaleHeight
  iNcWidth = fGamble.Width - fGamble.ScaleWidth

  fGamble.ScaleMode = 3
  iNcBord = Int(picGCard.Height - picGCard.ScaleHeight)
  picGCard.Move 5, 10 + labGamble.Height, iCardWidth + iNcBord, iCardHeight + iNcBord
  cmdHigh.Move 10 + picGCard.Width, 10 + labGamble.Height
  cmdLow.Move 10 + picGCard.Width, 10 + labGamble.Height + cmdHigh.Height
  cmdCollect.Move 10 + picGCard.Width, 10 + labGamble.Height + picGCard.Height - cmdCollect.Height
  labGamble.Move 5, 5, 5 + picGCard.Width + cmdHigh.Width
  fGamble.Width = ((10 + labGamble.Width) * Screen.TwipsPerPixelX) + iNcWidth
  fGamble.Height = ((15 + picGCard.Height + labGamble.Height) * Screen.TwipsPerPixelY) + iNcHeight
  
  fGamble.Move ((fGulf.Width - fGamble.Width) \ 2) + fGulf.Left, ((fGulf.Height - fGamble.Height) \ 2) + fGulf.Top
End Sub


