VERSION 4.00
Begin VB.Form fGulf 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Gulf"
   ClientHeight    =   4065
   ClientLeft      =   885
   ClientTop       =   2580
   ClientWidth     =   8100
   Height          =   4755
   Icon            =   "GULF.frx":0000
   KeyPreview      =   -1  'True
   Left            =   825
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   271
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   540
   Top             =   1950
   Width           =   8220
   Begin VB.PictureBox picFound 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00008000&
      ClipControls    =   0   'False
      Enabled         =   0   'False
      Height          =   1755
      Left            =   60
      MousePointer    =   12  'No Drop
      ScaleHeight     =   115
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   87
      TabIndex        =   2
      Top             =   2220
      Width           =   1335
   End
   Begin VB.PictureBox picHold 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00008000&
      ClipControls    =   0   'False
      Enabled         =   0   'False
      Height          =   2055
      Left            =   60
      ScaleHeight     =   135
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   83
      TabIndex        =   1
      Top             =   60
      Width           =   1275
   End
   Begin VB.PictureBox picBoard 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00008000&
      ClipControls    =   0   'False
      Enabled         =   0   'False
      Height          =   2835
      Left            =   1620
      MousePointer    =   12  'No Drop
      ScaleHeight     =   187
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   423
      TabIndex        =   0
      Top             =   60
      Width           =   6375
   End
   Begin VB.Label labScore 
      Alignment       =   2  'Center
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1680
      TabIndex        =   3
      Top             =   3720
      Width           =   3015
   End
   Begin VB.Menu mfile 
      Caption         =   "&File"
      Begin VB.Menu mnew 
         Caption         =   "&New game"
         Shortcut        =   ^N
      End
      Begin VB.Menu ms1 
         Caption         =   "-"
      End
      Begin VB.Menu mexit 
         Caption         =   "E&xit"
         Shortcut        =   ^X
      End
   End
   Begin VB.Menu mhelp 
      Caption         =   "&Help"
      Begin VB.Menu mabout 
         Caption         =   "&About"
         Shortcut        =   ^A
      End
   End
End
Attribute VB_Name = "fGulf"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Dim iInGame As Integer

Dim iBoard(7, 5) As Integer, iHold As Integer, iFound As Integer
Dim iPack(56) As Integer, iNoJoke As Integer, iNumCards As Integer
Dim iCurrCard As Integer, iJLeft As Integer



Sub DrawBoard()
  Dim t%, l&, dx%, dy%, h%
        
  h% = picBoard.hDC
  For cx% = 1 To 7
    dx% = (cx% - 1) * iCardWidth
    dy% = 0
    For cy% = 1 To 5
      l& = iBoard(cx%, cy%)
      If l& <> 0 Then Call TransparentBlt(l&, h%, dx%, dy%)
      dy% = dy% + iOffset
    Next
  Next
  picBoard.Refresh
End Sub

Sub EndGame(iGoodEnd As Integer)
  Dim rtext$, iBonus As Integer, iAdd As Integer
  
  If iGoodEnd = True Then
    iAdd = ((5 - iNoJoke) * (iNumCards - iCurrCard))
    If iAdd > 0 Then
      iBonus = Gamble(iAdd)
      If iBonus < 0 Then
        rtext$ = "(" + Format(Abs(iBonus), "##,##0") + " points lost in bonus gamble)."
      Else
        rtext$ = "(" + Format(iBonus, "##,##0") + " bonus points won)."
      End If
    Else
      iBonus = 0
      rtext$ = "(No bonus points to gamble)."
    End If
    iRoundScore = iRoundScore + iBonus
    If iRoundScore < 0 Then iRoundScore = 0
    lScore = lScore + iBonus
    If lScore < 0 Then lScore = 0
    labScore.Caption = ScoreCap()
    MsgBox "Congratulations! Round" + Str$(iRound) + " completed with" + Str$(iRoundScore) + " points." + Chr$(10) + rtext$, vbOKOnly + vbInformation, "Gulf"
    Call SoftInitGame
  Else
    If iRound = 1 Then
      rtext$ = "round"
    Else
      rtext$ = "rounds"
    End If
    MsgBox "Game over, dude! The final score was totally " + Format(lScore, "###,##0") + " in" + Str$(iRound) + " " + rtext$ + ".", vbOKOnly + vbInformation, "Gulf"
    iInGame = False
    picBoard.Enabled = False
    picHold.Enabled = False
    picFound.Enabled = False
    lTotalScore = lTotalScore + lScore
    If lScore > lHighScore Then lHighScore = lScore
  End If
End Sub


Private Function Gamble(ByVal iStake As Integer) As Integer
  nGCard = Int(Rnd * 52) + 1
  fGamble.cmdCollect.Caption = "&Take" + Str$(iStake)
  fGamble.cmdHigh.Enabled = True
  fGamble.cmdLow.Enabled = True
  Call TransparentBlt(nGCard, fGamble.picGCard.hDC, 0, 0)
  
  fGamble.labGamble.Caption = "Bet" + Str$(iStake) + " to get" + Str$(iStake * 2) + " points."
  fGamble.picGCard.Refresh
  iGStake = iStake
  fGamble.Show vbModal
  Gamble = iGStake
End Function

Private Function ScoreCap() As String
  ScoreCap = "Cards left=" + Format$(iNumCards - iCurrCard, "#0") + "  Jokers Left=" + Format$(iJLeft, "0") + "  Game Score=" + Format$(lScore, "###,##0") + "  Round Score=" + Format$(iRoundScore, "#0")
End Function

Private Sub SoftInitGame()
  Dim i%, t%, cx%, cy%, dx%, dy%
    
  Screen.MousePointer = 11
  fShuffling.Move ((fGulf.Width - fShuffling.Width) \ 2) + fGulf.Left, ((fGulf.Height - fShuffling.Height) \ 2) + fGulf.Top
  fShuffling.Show
  
  iInGame = True
  iRoundScore = 0
  iConsBonus = 0
  iMoveBonus = 0
  iRoundMult = 1
  iRound = iRound + 1
  fGulf.Caption = "Gulf - round" + Str$(iRound)
  
  If iNoJoke > 0 Then
    If Int(Rnd * 2) = 1 Then iNoJoke = iNoJoke - 1
  End If
  iNumCards = 52 + iNoJoke
  iJLeft = iNoJoke
  
  labScore.Caption = ScoreCap()
  nCardBack = Int(Rnd * (nCardHigh - 53)) + 54
  
  ' Create/shuffle pack
  For i% = 1 To 52
    iPack(i%) = i%
  Next
  For i% = 53 To iNumCards
    iPack(i%) = 53
  Next
  For i% = 1 To 500
    cx% = Int(Rnd * iNumCards) + 1
    cy% = Int(Rnd * iNumCards) + 1
    t% = iPack(cx%)
    iPack(cx%) = iPack(cy%)
    iPack(cy%) = t%
  Next
  
  i% = 0
  For cx% = 1 To 7
    iBoard(cx%, 0) = 5
    For cy% = 1 To 5
      i% = i% + 1
      iBoard(cx%, cy%) = iPack(i%)
    Next
  Next
  
  iHold = nCardBack
  iCurrCard = i% + 1
  iFound = iPack(iCurrCard)
  If iFound = 53 Then iJLeft = iJLeft - 1
  
  picBoard.Enabled = True
  picHold.Enabled = True
  picFound.Enabled = True
  picBoard.Cls
  Call DrawFound
  Call DrawHold
  Call DrawBoard
  labScore.Caption = ScoreCap()
  
  fShuffling.Hide
  Screen.MousePointer = 0
End Sub


Sub DrawColumn(ByVal cx%)
  Dim t%, l&, dx%, dy%, tpx%, tpy%, btx%, bty%, cy%, h%

  cy% = iBoard(cx%, 0)
  tpx% = (cx% - 1) * iCardWidth
  btx% = tpx% + iCardWidth - 1
  bty% = picBoard.ScaleHeight
  picBoard.Line (tpx%, 0)-(btx%, bty%), picBoard.BackColor, BF
  h% = picBoard.hDC
  
  If cy% > 0 Then
    dx% = (cx% - 1) * iCardWidth
    dy% = 0
    For cy% = 1 To iBoard(cx%, 0)
      l& = iBoard(cx%, cy%)
      Call TransparentBlt(l&, h%, dx%, dy%)
      dy% = dy% + iOffset
    Next
  End If
  
  picBoard.Refresh
End Sub


Sub DrawFound()
  Dim t%, l&, dx%, dy%, h%
  
  dy% = 0
  dx% = 0
  l& = iFound
  h% = picFound.hDC
  Call TransparentBlt(l&, h%, dx%, dy%)
  picFound.Refresh
End Sub

Sub DrawHold()
  Dim t%, l&, dx%, dy%, h%
  
  dx% = 0
  dy% = 0
  l& = iHold
  h% = picHold.hDC
  Call TransparentBlt(l&, h%, dx%, dy%)
  picHold.Refresh
End Sub
Sub InitGame()
  Dim i%, t%, cx%, cy%, dx%, dy%
    
  Screen.MousePointer = 11
  fShuffling.Move ((fGulf.Width - fShuffling.Width) \ 2) + fGulf.Left, ((fGulf.Height - fShuffling.Height) \ 2) + fGulf.Top
  fShuffling.Show
  
  iInGame = True
  lScore = 0
  iRoundScore = 0
  iConsBonus = 0
  iMoveBonus = 0
  iRoundMult = 1
  iRound = 1
  fGulf.Caption = "Gulf - round" + Str$(iRound)
  iNoJoke = 4
  iNumCards = 56
  iJLeft = 4
  
  nCardBack = Int(Rnd * (nCardHigh - 53)) + 54
  
  ' Create/shuffle pack
  For i% = 1 To 52
    iPack(i%) = i%
  Next
  For i% = 53 To 56
    iPack(i%) = 53
  Next
  For i% = 1 To 500
    cx% = Int(Rnd * iNumCards) + 1
    cy% = Int(Rnd * iNumCards) + 1
    t% = iPack(cx%)
    iPack(cx%) = iPack(cy%)
    iPack(cy%) = t%
  Next
  
  i% = 0
  For cx% = 1 To 7
    iBoard(cx%, 0) = 5
    For cy% = 1 To 5
      i% = i% + 1
      iBoard(cx%, cy%) = iPack(i%)
    Next
  Next
  
  iHold = nCardBack
  iCurrCard = i% + 1
  iFound = iPack(iCurrCard)
  If iFound = 53 Then iJLeft = iJLeft - 1
  
  picBoard.Enabled = True
  picHold.Enabled = True
  picFound.Enabled = True
  picBoard.Cls
  Call DrawFound
  Call DrawHold
  Call DrawBoard
  labScore.Caption = ScoreCap()
  
  fShuffling.Hide
  Screen.MousePointer = 0
End Sub




Private Sub Form_KeyPress(KeyAscii As Integer)
  Dim c$
  
  If UCase$(Chr$(KeyAscii)) = "H" Then
    fGulf.WindowState = 1
    Exit Sub
  End If
  
  If iFound > 73 Or iInGame = False Then Exit Sub
  
  iPos = iPos + 1
  c$ = UCase$(Chr$(KeyAscii))
  If Mid("KL", iPos, 1) <> c$ Then
    iPos = 0
    Exit Sub
  End If
  
  If iPos = 2 Then
    Select Case iHold
      Case 54
        MsgBox "Kurt brings you greetings from the netherworld.", vbOKOnly + vbInformation, "Gulf Message"
      Case 55
        fRuger.Move ((fGulf.Width - fRuger.Width) \ 2) + fGulf.Left, ((fGulf.Height - fRuger.Height) \ 2) + fGulf.Top
        fRuger.imgBrit = fRuger.imgUnShot
        fRuger.cmdOK.Caption = "&Shoot it!"
        fRuger.Show vbModal
      Case 56
        MsgBox "Lundqvist Associates: Your money, our guns", vbOKOnly + vbInformation, "Gulf Message"
      Case 57
        MsgBox "Helpful staff, immediate service - death has never been simpler!", vbOKOnly + vbInformation, "Gulf Message"
      Case 58
        MsgBox "Twinellations dude!", vbOKOnly + vbInformation, "Gulf Message"
      Case 59
        MsgBox "This is a Squoze-free zone (apart from the 'Squozes' in this message, of course).", vbOKOnly + vbInformation, "Gulf Message"
      Case 60
        MsgBox "Not so much " + Chr$(34) + "Have gun, will travel" + Chr$(34) + " as " + Chr$(34) + "Haven't gun, won't" + Chr$(34) + "!", vbOKOnly + vbInformation, "Gulf Message"
      Case 61
        If MsgBox("Read any good message boxes lately?", vbYesNo + vbQuestion, "Gulf Question") = vbYes Then
          MsgBox "Well, so have we.", vbExclamation + vbOKOnly, "Gulf response"
        End If
      Case 62
        MsgBox Format$(lHighScore, "###,##0") + " points for a high score? is that the best you can do? We've managed " + Format$(lHighScore + Int(Rnd * 1000) + 100, "###,##0") + "!", vbOKOnly + vbInformation, "Gulf Message"
      Case 63
        MsgBox "Don't sit in front of a PC! Get your guns and have a blast!", vbOKOnly + vbInformation, "Gulf Message"
      Case 64
        MsgBox "Nothings beats an M16A2 for sheer entertainment.", vbOKOnly + vbInformation, "Gulf Message"
      Case 65
        MsgBox "Coffee! Tea! Anything is possible with Digicard!", vbOKOnly + vbInformation, "Gulf Message"
      Case 66
        MsgBox "Hell, dude! You need more Lundqvist Associates products.", vbOKOnly + vbInformation, "Gulf Message"
      Case 67
        MsgBox "Hey! Don't move from your PC! (It makes it easier to target.)", vbOKOnly + vbInformation, "Gulf Message"
      Case 68
        MsgBox "Remember, Windows no longer supports folding boats!", vbOKOnly + vbInformation, "Gulf Message"
      Case 69
        If MsgBox("...and do you know why there are no sounds?", vbYesNo + vbInformation, "Gulf Question") = vbNo Then
          MsgBox "Because there are no sounds to hear!", vbExclamation + vbOKOnly, "Gulf response"
        End If
      Case 70
        MsgBox "You only live once, but you get to cause death many, many times.", vbOKOnly + vbInformation, "Gulf Message"
      Case 71
        MsgBox "Fun and games with VB...have small development environment, will travel.", vbOKOnly + vbInformation, "Gulf Message"
      Case 72
        MsgBox "Gulf: just one of our many games, email us for more info.", vbOKOnly + vbInformation, "Gulf Message"
      Case 73
        MsgBox "Lundqvist Associates: For all your killing and software needs.", vbOKOnly + vbInformation, "Gulf Message"
    End Select
    iPos = 0
  End If
End Sub

Private Sub Form_Load()
  Randomize
  
  Dim iNcHeight As Integer, iNcWidth As Integer, iPicBord As Integer

  iPos = 0
  iLoading = True
  iOffset = 18
  iGamesPlayed = Val(GetSetting("Gulf", "Scoring", "Games", "0"))
  lTotalScore = Val(GetSetting("Gulf", "Scoring", "MegaScore", "0"))
  lHighScore = Val(GetSetting("Gulf", "Scoring", "High", "0"))
  fAbout.labTitle.Caption = "Gulf V" + Format$(App.Major, "0") + "." + Format$(App.Minor, "0")
  If App.Revision <> 0 Then fAbout.labTitle.Caption = fAbout.labTitle.Caption + "." + Format$(App.Revision, "0")
  nCardHigh = 73
  nCardBack = Int(Rnd * (nCardHigh - 53)) + 54
  
  If iGamesPlayed <> 0 Then
    lAvg = lTotalScore \ iGamesPlayed
  Else
    lAvg = 0
  End If
  
  hLibrary = LoadLibrary("KLCARDS.DLL")
  If hLibrary < 32 Then
    MsgBox "Can't load KLCARDS.DLL" + Str$(hLibrary) + ".", vbCritical + vbOKOnly, "Cards"
    Unload Me
  End If
  
  l& = 1
  hBitMap = LoadBitmap(hLibrary, l&)
  If hBitMap = 0 Then
    MsgBox "Couldn't get image dimensions.", vbCritical + vbOKOnly, "Cards"
    Unload Me
  End If
  
  rc% = GetObjectGDI(hBitMap, 14, bm)
  iCardWidth = bm.bmWidth
  iCardHeight = bm.bmHeight
  
  fGulf.ScaleMode = 1
  iNcHeight = fGulf.Height - fGulf.ScaleHeight
  iNcWidth = fGulf.Width - fGulf.ScaleWidth

  fGulf.ScaleMode = 3
  iPicBord = Int(picBoard.Height - picBoard.ScaleHeight)
  picHold.Move 5, 5, iCardWidth + iPicBord, iCardHeight + iPicBord
  picFound.Move 5, 10 + picHold.Height, iCardWidth + iPicBord, iCardHeight + iPicBord
  picBoard.Move 10 + picHold.Width, 5, (iCardWidth * 7) + iPicBord, (iOffset * 4) + iCardHeight + iPicBord
  labScore.Move 10 + picHold.Width, 10 + picHold.Height + picFound.Height - labScore.Height, picBoard.Width
  fGulf.Width = ((15 + picHold.Width + picBoard.Width) * Screen.TwipsPerPixelX) + iNcWidth
  fGulf.Height = ((15 + picHold.Height + picFound.Height) * Screen.TwipsPerPixelY) + iNcHeight

  If (Screen.Width \ Screen.TwipsPerPixelX) < 800 Then fGulf.Move 10, 10
  
  Call mnew_Click
End Sub

Private Sub Form_Unload(Cancel As Integer)
  If hLibrary >= 32 Then Call FreeLibrary(hLibrary)
  If iInGame = True Then Call EndGame(False)
  Call SaveSetting("Gulf", "Scoring", "Games", Str$(iGamesPlayed))
  Call SaveSetting("Gulf", "Scoring", "MegaScore", Str$(lTotalScore))
  Call SaveSetting("Gulf", "Scoring", "High", Str$(lHighScore))
  End
End Sub


Private Sub mabout_Click()
  fAbout.Show vbModal
End Sub




Private Sub mexit_Click()
  Unload Me
End Sub


Private Sub mnew_Click()
  iLoading = False
  If iInGame = True Then
    If MsgBox("Starting a new game now will end the current one. Do it anyway?", vbQuestion + vbYesNo, "Gulf") = vbNo Then Exit Sub
    Call EndGame(False)
  End If
    
  Call InitGame
End Sub



Private Sub picBoard_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
  Dim mx%, nmp%, br%, fr%
  If iInGame = False Then Exit Sub
  
  mx% = (X \ iCardWidth) + 1
  If mx% > 7 Then mx% = 7
  
  ' Check to see if the current card stack can be moved *from*
  If iBoard(mx%, 0) = 0 Then
    nmp% = 12
    GoTo MPDone
  End If
  
  If iFound = 53 Or iBoard(mx%, iBoard(mx%, 0)) = 53 Then
    nmp% = 0
    GoTo MPDone
  End If
  
  fr% = iFound Mod 13
  br% = iBoard(mx%, iBoard(mx%, 0)) Mod 13
  If fr% = 0 Then fr% = 13
  If br% = 0 Then br% = 13
  If Abs(fr% - br%) = 1 Then
    nmp% = 0
  Else
    nmp% = 12
  End If
   
MPDone:
  If picBoard.MousePointer <> nmp% Then picBoard.MousePointer = nmp%
End Sub

Private Sub picBoard_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
  Dim mx%, my%, mz%, f%
  If picBoard.MousePointer = 12 Or iInGame = False Then Exit Sub
  
  mx% = (X \ iCardWidth) + 1
  If mx% > 7 Then mx% = 7
  
  ' Make move (already checked in MouseMove)
  iFound = iBoard(mx%, iBoard(mx%, 0))
  If iFound = 53 Then iJLeft = iJLeft - 1
  iBoard(mx%, iBoard(mx%, 0)) = 0
  iBoard(mx%, 0) = iBoard(mx%, 0) - 1
  iConsMoves = iConsMoves + 1
  Call DrawFound
  Call DrawColumn(mx%)
  iRoundScore = iRoundScore + iConsMoves
  lScore = lScore + iConsMoves
  labScore.Caption = ScoreCap()
  
  ' Is board clear?
  mx% = True
  For my% = 1 To 7
    If iBoard(my%, 0) > 0 Then
      mx% = False
      Exit For
    End If
  Next
  If mx% = True Then Call EndGame(True)
  
  If iCurrCard = iNumCards And iFound <> 53 Then
    ' If last card used and no possible moves...
    f% = False
    mz% = iFound
    mz% = mz% Mod 13
    If mz% = 0 Then mz% = 13
    For mx% = 1 To 7
      If iBoard(mx%, 0) > 0 Then
        my% = iBoard(mx%, iBoard(mx%, 0))
        If iBoard(mx%, iBoard(mx%, 0)) = 53 Then
          f% = True
          Exit For
        Else
          my% = my% Mod 13
          If my% = 0 Then my% = 13
          If Abs(my% - mz%) = 1 Then
            f% = True
            Exit For
          End If
        End If
      End If
    Next
    If f% = False Then Call EndGame(False)
  End If
End Sub

Private Sub picHold_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
  Dim nmp%
  If iInGame = False Then Exit Sub
  
  nmp% = 0
  If iHold <> nCardBack Then nmp% = 12
  If picHold.MousePointer <> nmp% Then picHold.MousePointer = nmp%
End Sub

Private Sub picHold_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
  Dim mx%, my%, mz%, f%
  
  If picHold.MousePointer = 12 Or iInGame = False Then Exit Sub
  
  If Button = 2 Then
    nCardBack = nCardBack + 1
    If nCardBack > 73 Then nCardBack = 54
    iHold = nCardBack
    Call DrawHold
    Exit Sub
  End If
  
  If iCurrCard < iNumCards Then
    iConsMoves = 0
    iCurrCard = iCurrCard + 1
    iFound = iPack(iCurrCard)
    If iFound = 53 Then iJLeft = iJLeft - 1
    Call DrawFound
    labScore.Caption = ScoreCap()
    
    If iCurrCard = iNumCards Then
      ' Last card played
      iHold = 100
      Call DrawHold
      If iFound <> 53 Then
        ' Now check to see if the top card (the last one) can be
        ' played onto the board...
        f% = False
        mz% = iFound Mod 13
        If mz% = 0 Then mz% = 13
        For mx% = 1 To 7
          If iBoard(mx%, 0) > 0 Then
            my% = iBoard(mx%, iBoard(mx%, 0))
            If my% = 53 Then
              f% = True
              Exit For
            Else
              my% = my% Mod 13
              If my% = 0 Then my% = 13
'Debug.Print mx%, mz%, my%, Abs(my% - mz%)
              If Abs(my% - mz%) = 1 Then
                f% = True
                Exit For
              End If
            End If
          End If
        Next
        If f% = False Then Call EndGame(False)
      End If
    End If
  End If
End Sub



